= form_for goal, url: url do |form|
  - if goal.errors.any?
    #errorExplanation
      ul
        - goal.errors.full_messages.each do |msg|
          li= msg
  .box.tabular.filedroplistner
    = hidden_field_tag :project_id, params[:project_id]
    #all_attributes
      = form.hidden_field :project_id, value: params[:project_id]
      p
        = form.label :name
        = form.text_field :name
      p
        = form.label :status
        = form.select :status, options_for_select(Goal.statuses.keys, form.object.status)
      p
        = form.label :description
        span#issue_description_and_toolbar
          = form.text_area :description, cols: 60, rows: 10
          = wikitoolbar_for 'goal_description'
      p
        = form.label :start_time
        = form.text_field :start_time, type: 'date', value: goal.start_time.try(:to_date)
        = calendar_for('goal_start_time')
      p
        = form.label :end_time
        = form.text_field :end_time, type: 'date', value: goal.end_time.try(:to_date)
        = calendar_for('goal_end_time')
      p
        = form.submit :submit
